Importante:

¿Como pedir soporte? (Marzo 18, 2015)

MyBB 1.8.4 ha salido ayer mismo.
MyBB 1.8.4 está disponible en el sitio web oficial de MyBB en igles siendo una actualización de seguridad nueva y de mantenimiento liberada. ¿Que ha...

MyBB 1.8.4 está disponible en el sitio web oficial de MyBB en igles siendo una actualización de seguridad nueva y de mantenimiento liberada.


¿Que ha sido cambiado o agregado en esta versión?



Este paquete contiene 7 correcciones de vulnerabilidad y 118 errores reportados que causaban un mal funcionamiento a MyBB. Por favor tenga en cuenta que no todas las vulnerabilidades ni errores son corregidos en esta revisión al ser una más de las series 1.8.x.



    Vulnerabilidades:

        Riesgo Medio: Vulnerabilidad XSS en el archivo member.php – reportado por ATofighi

        Riesgo Medio: Vulnerabilidad XSS en el editor de MyCode – reportado por Matthias Ungethüm

        Riesgo Bajo: Multiples vulnerabilidades XSS al requerir los permisos de usuario – reportado por adamziaja, Devilshakerz, DingjieYang y sroesemann

        Riesgo Bajo: Vulnerabilidad con el inicio de sesion en el panel de administración CSRF – reportado por Devilshakerz

        Riesgo Bajo: Notificaciones de unión a grupos de usuario que eran enviadas a los líderes del grupo correctamente – reportado por Snake_

        Riesgo Bajo: Uso de Cache handler var_export sin verificación de codificación de datos – reported by chtg

        Sin Riesgo: Un parche completo a las vulnerabilidades posibles con la librería JSON – reportado por Nathan Malcolm

    Errores corregidos:

        Están en la lista de la documentación oficial asi como en el repositorio de github.

    Nuevas mejoras:

        Soporte para No CAPTCHA y reCAPTCHA.

        2 Factorer de autentificación al ingresar al panel de administración.



Le recomendamos visitar el sitio oficial en busca de los paquetes oficiales de descarga, asi como las correcciones realizadas en este paquete y el reporte de errores encontrados en esta nueva versión.





Descargar MyBB 1.8.4 version oficial



Si tienes MyBB 1.8.3 actualmente sólo necesitarás este paquete de cambios:



Paquete de cambios MyBB 1.8.4





Recuerda que a menos que únicamente deberás subir los archivos nuevos sin ejecutar la actualización, asi que si descargas el paquete de cambios o el completo, ambos sirven ya sea en instalación nueva o actualización desde cualquier versión de MyBB, sin embargo no es necesario que subas todo si tienes una revisión anterior al paquete actual.



Si no vas a realizar una instalacion nueva, te recomendamos en las series 1.8.x que elimines el directorio install y únicamente subas los nuevos archivos a tu hosting.



Si vas a realizar una instalación nueva o una actualización de versiones 1.6.x o menores, deberás subir todo el contenido de el paquete completo y ejecutar la rutina de actualización de la forma:



http://ruta_de_mi_foro_mybb/install/upgrade.php



Este script de actualización de guiará a traves del proceso de actualización y por otro lado ejecuta este otro



http://ruta_de_mi_foro_mybb/install/index.php



Si es que vas a realizar una actualización limpia de mybb (Algunos servidores no requieren de el archivo final marcado, sin embargo todos funcionan si lo colocas [Imagen: biggrin.png])
Última modificación: February 16, 2015, 5:37 am por metalgearxd.
0 0
Tema anterior Tema siguiente
AndresXZ09
AndresXZ09
Yo prefiero seguir usando la serie 1.6 hasta que muchos errores de la 1.8 esten solucionados :S
#2
MrBlack
MrBlack
Buenas, soy el unico al que en su ACP si esta en español, el nombre de las plantillas de cualquier theme sale solo plantillas (antes Plantillas de Cabecera, Plantillas de Portal, etc)?
#3
papi
papi
Hola. El problema esta en los archivos de idioma por lo que parece. Te aporto la solucion dada en otro foro de soporte.
Ve a  la ruta  \ inc \ languages \ español \ admin \ style_templates.lang.php y modifica la tercera línea para dejarla como sigue 


$ l ['plantillas'] = "{1} Plantillas";
 entonces todo estará bien.
#4
MrBlack
MrBlack
Ya me dieron la solucion, gracias de igual forma Smile
#5
PureMod
PureMod
Lo que me parece muy patético es que el editor aún haga los saltos de linea dobles...
Hay algún commit ya para solucionar este problema?
#6
AndreaPage
AndreaPage
desde tiempito me salta esa nota en mi panel de administración, yo tengo 1.8.3
osea que mejor es actualizarlo para disminuir las vulneribilidades...
en mi caso solo descargo: Paquete de cambios MyBB 1.8.4 ?

y reemplazo las carpetas? con eso ya tendria 100% la versión 1.8.4?
muchas gracias...
de paso hay algun plugin para hacer esta atractiva editor de comentarios y ese efecto al pulsar denntro de ella?
#7
papi
papi
efectivamente solo tienes que descargar el paquete de cambios y subir los archivos. Desde ese momento ya estaras actualizado completamente. En cuanto a lo demás no sabría decirte
#8
BitLiberal
BitLiberal
No se de donde sacáis que no haga falta el script de actualización:

Blog de MyBB escribió:[...]
Please note, that you do need to run the upgrade script for this version.
(Ten en cuenta que necesitas ejecutar el script de actualización para esta versión.)




Upgrading from 1.8.3 and Other Versions
[...]The upgrade script is required. (El script de actualizacion es necesario.)[...]
Mas info: Blog MyBB.
#9

Colaboradores: PureMod , papi , MrBlack , metalgearxd , BitLiberal , AndresXZ09 , AndreaPage

This forum uses Lukasz Tkacz MyBB addons.